Create a multi-admin-verify rule
Creates a multi-admin-verify rule to define the conditions under which multiple administrator approvals are required for certain operations. This helps enhance the security and control of administrative actions.
HTTP method and endpoint
POST /security/multi-admin-verify/rules
Introduced in
ONTAP 9.11
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
approval_expiry |
string |
Time for requests to be approved, in ISO-8601 duration format. If not set, the global setting is used. |
approval_groups |
array[approval_groups] |
List of approval groups that are allowed to approve requests for rules that don't have approval groups. |
auto_request_create |
boolean |
When true, ONTAP automatically creates a request for any failed operation where there is no matching pending request.
|
create_time |
string |
|
execution_expiry |
string |
Time for requests to be executed once approved, in ISO-8601 duration format. If not set, the global setting is used. |
operation |
string |
Command that requires one or more approvals. |
owner |
The owner of the rule. The only valid owner is currently the cluster. |
|
query |
string |
When specified, this property limits the entries that require approvals to those that match the specified query. |
required_approvers |
integer |
The number of required approvers, excluding the user that made the request. |
system_defined |
boolean |
Specifies whether the rule is system-defined or user-defined. |
Example request
{
"approval_expiry": "string",
"approval_groups": [
{
"name": "string"
}
],
"create_time": "string",
"execution_expiry": "string",
"operation": "string",
"owner": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"query": "string"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[multi_admin_verify_rule] |
Example response
{
"num_records": 1,
"records": [
{
"approval_expiry": "string",
"approval_groups": [
{
"name": "string"
}
],
"create_time": "string",
"execution_expiry": "string",
"operation": "string",
"owner": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"query": "string"
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
262148 |
The specified command is not recognized. |
262308 |
The specified command is not supported by this feature. |
262309 |
The feature must be enabled first. |
262311 |
Value must be greater than zero. |
262312 |
Number of required approvers must be less than the total number of unique approvers in the approval-groups. |
262313 |
Number of unique approvers in the approval-groups must be greater than the number of required approvers. |
262314 |
Some approval-groups were not found. |
262316 |
Value must be in the range two minutes to two weeks. |
262326 |
Failed to parse query. |
262335 |
The query string must be contained in either the "operation" or "query" parameters but not in both. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
approval_groups
| Name | Type | Description |
|---|---|---|
name |
string |
Name of the approval group. |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
owner
The owner of the rule. The only valid owner is currently the cluster.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a POST or PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
multi_admin_verify_rule
| Name | Type | Description |
|---|---|---|
approval_expiry |
string |
Time for requests to be approved, in ISO-8601 duration format. If not set, the global setting is used. |
approval_groups |
array[approval_groups] |
List of approval groups that are allowed to approve requests for rules that don't have approval groups. |
auto_request_create |
boolean |
When true, ONTAP automatically creates a request for any failed operation where there is no matching pending request.
|
create_time |
string |
|
execution_expiry |
string |
Time for requests to be executed once approved, in ISO-8601 duration format. If not set, the global setting is used. |
operation |
string |
Command that requires one or more approvals. |
owner |
The owner of the rule. The only valid owner is currently the cluster. |
|
query |
string |
When specified, this property limits the entries that require approvals to those that match the specified query. |
required_approvers |
integer |
The number of required approvers, excluding the user that made the request. |
system_defined |
boolean |
Specifies whether the rule is system-defined or user-defined. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |